function OWN_first_order_print2f(filename,fx,fxp,fy,fyp,f,ETASHOCK,statevar,controlvar,sourcename,varme)
% OWN VERSION OF first_order_print2f.m to be able to use MATLAB Online
%first_order_print2f(filename,fx,fxp,fy,fyp,f,ETASHOCK,statevar,controlvar,sourcename,varme)
% Writes symbolic derivatives of the equilibrium conditions of a DSGE model  to an m-file for numeric evaluation.
% inputs: 
%         filename: ' ...' name of the file to append to '_num_eval'
%  fx,fxp,fy,fyp,f:   symbolic matrices   of the model equations and its first-order derivatives.   They are the  output of the program anal_deriv.m
%        ETASHOCK: symbolic matrix scaling std dev of shocks (the evolution of the state  is: x_t+1 = hx x_t + ETASHOCK epsilon_t+1, where epsilon_t+1 has an identity var/cov matrix)
%sourcename is the name of the .M file where the equilibrium conditions are written.
% output: m-file "filename_num_eval.m" 
%� Mart�n Uribe, October 2016.

format compact

fname = 'edeir_model_num_eval.m';

if nargin<11
varme = [];
end

if exist(fname)>0
delete(fname)
end

fname = fopen('edeir_model_num_eval.m','w');
fprintf(fname,'%12s \n','nfx = [');
for i=1:size(fx,1)
fprintf(fname,'%12s ','[');
    for j=1:size(fx,2)-1
    fprintf(fname,'%12s ',fx(i,j),',');
    end
    fprintf(fname,'%12s ',fx(i,size(fx,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

fprintf(fname,'%12s \n','nfxp = [');
for i=1:size(fxp,1)
fprintf(fname,'%12s ','[');
    for j=1:size(fxp,2)-1
    fprintf(fname,'%12s ',fxp(i,j),',');
    end
    fprintf(fname,'%12s ',fxp(i,size(fxp,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

fprintf(fname,'%12s \n','nfy = [');
for i=1:size(fy,1)
fprintf(fname,'%12s ','[');
    for j=1:size(fy,2)-1
    fprintf(fname,'%12s ',fy(i,j),',');
    end
    fprintf(fname,'%12s ',fy(i,size(fy,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

fprintf(fname,'%12s \n','nfyp = [');
for i=1:size(fyp,1)
fprintf(fname,'%12s ','[');
    for j=1:size(fyp,2)-1
    fprintf(fname,'%12s ',fyp(i,j),',');
    end
    fprintf(fname,'%12s ',fyp(i,size(fyp,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

tempf=transpose(f);
fprintf(fname,'%12s \n','nf = [');
for i=1:size(tempf,1)
fprintf(fname,'%12s ','[');
    for j=1:size(tempf,2)-1
    fprintf(fname,'%12s ',tempf(i,j),',');
    end
    fprintf(fname,'%12s ',tempf(i,size(tempf,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');
clear tempf;

fprintf(fname,'%12s \n','nf = transpose(nf);');

fprintf(fname,'%12s \n','nETASHOCK = [');
for i=1:size(ETASHOCK,1)
fprintf(fname,'%12s ','[');
    for j=1:size(ETASHOCK,2)-1
    fprintf(fname,'%12s ',ETASHOCK(i,j),',');
    end
    fprintf(fname,'%12s ',ETASHOCK(i,size(ETASHOCK,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

tempETASHOCK=ETASHOCK*ETASHOCK';
fprintf(fname,'%12s \n','nvarshock = [');
for i=1:size(tempETASHOCK,1)
fprintf(fname,'%12s ','[');
    for j=1:size(tempETASHOCK,2)-1
    fprintf(fname,'%12s ',tempETASHOCK(i,j),',');
    end
    fprintf(fname,'%12s ',tempETASHOCK(i,size(tempETASHOCK,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');
clear tempETASHOCK;

fprintf(fname,'%12s \n','nvarme = [');
for i=1:size(varme,1)
fprintf(fname,'%12s ','[');
    for j=1:size(varme,2)-1
    fprintf(fname,'%12s ',varme(i,j),',');
    end
    fprintf(fname,'%12s ',varme(i,size(varme,2)));
fprintf(fname,'%12s ',']');
fprintf(fname,'\n');
end
fprintf(fname,'%12s \n','];');

nstate = length(statevar);
for i=1:nstate
    fprintf(fname,'%12s ',['n' char(statevar(i)) ' = ' num2str(i) ';' ]);
    fprintf(fname,'%12s \n',[]);
end;
fprintf(fname,'%12s ','nstate =',num2str(nstate),';');
    fprintf(fname,'%12s \n',[]);

ncontrol = length(controlvar);
for i=1:ncontrol
    fprintf(fname,'%12s ',['n' char(controlvar(i)) ' = ' num2str(i) ';' ]);
    fprintf(fname,'%12s \n',[]);
end;
fprintf(fname,'%12s ','ncontrol =',num2str(ncontrol),';');

fclose(fname);


clc
end