%edeir_ss_Q7.m
% computes the deterministic steady state  of the EDEIR open economy model  
% presented in Chapter 4 of ``Open Economy Macroeconomics,'' (Section 4.4)
% by Mart?n Uribe and Stephanie Schmitt-Groh? (Princeton University Press 2017). 
% ?Mart?n Uribe and Stephanie  Stephanie Schmitt-Groh?, January 2013.
 
%Calibration 
%Time unit is a year
SIGG = 2; %From Mendoza
DELTA = 0.1; %depreciation rate
RSTAR = 0.04; %long-run interest rate
ALFA = 0.44; %F(k,h) = k^ALFA h^(1-ALFA)

%Implied parameters and steady state of endogenous variables
BETTA = 1/(1+RSTAR); %subjective discount factor

r = RSTAR; %interest rate

% Remaining parameters are calibrated in order to match desired moments
% using the routine "obj_to_min_Q7.m"

KAPA = ((1/BETTA - (1-DELTA)) / ALFA)^(1/(ALFA-1)); %k/h
% unchanged -> derived from EQ (4.18) in book

% tb/y target
tbytarget = 0.0675; %target of tb/y 

% changes:
h =  

k = KAPA * h; %capital
% unchanged

kfu = k; %k_t+1 = k_t
% unchanged

output = KAPA^ALFA * h; %output
% unchanged

% update D BAR
DBAR = output.*tbytarget./RSTAR; 
% unchanged
d = DBAR; %debt

c = output-DELTA*k-RSTAR*DBAR; %consumption
% unchanged

ivv = DELTA * k; %investment
% unchanged

tb = output - ivv - c; %trade balance
% unchanged

tby = tb/output;
% unchanged

ca = -r*d+tb; %current account
% unchanged

cay = ca/output;
% unchanged

a = 1; %technological factor
% unchanged

% changes due to new functional form of utility:
la =  
%marginal utility of wealth
